// my.page.ts
import { Component } from '@angular/core';
import { NavController } from '@ionic/angular';

@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss'],
  standalone: false // 确保设置为 false 或不设置
})
export class Tab3Page {

  constructor(private navCtrl: NavController) {}

  goToHistory() {
    this.navCtrl.navigateForward(['/history']);
  }

  goToFollowing() {
    this.navCtrl.navigateForward(['/following']);
  }

  goToLikes() {
    this.navCtrl.navigateForward(['/likes']);
  }

  goToProfile() {
    this.navCtrl.navigateForward(['/profile']);
  }

  goToSettings() {
    this.navCtrl.navigateForward(['/settings']);
  }

  goToCollection() {
    this.navCtrl.navigateForward(['/collection']);
  }

  goToMessages() {
    this.navCtrl.navigateForward(['/messages']);
  }

  goToFeedback() {
    this.navCtrl.navigateForward(['/feedback']);
  }

  goToRating() {
    this.navCtrl.navigateForward(['/rating']);
  }
}